unit CharForm;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ComCtrls, ExtCtrls, AgentObjects_TLB, Grids;

type
  TPagesDlg = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    PageControl1: TPageControl;
    tsChar: TTabSheet;
    tsCommands: TTabSheet;
    tsMisc: TTabSheet;
    OKBtn: TButton;
    edSRModeID: TEdit;
    edTTSModeID: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label5: TLabel;
    edVersion: TEdit;
    edGUIID: TEdit;
    Label6: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    edPitch: TEdit;
    Label7: TLabel;
    edSpeed: TEdit;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    edSRStatus: TEdit;
    edLastMoveCause: TEdit;
    Label11: TLabel;
    edLanguageID: TEdit;
    Label12: TLabel;
    edHelpFile: TEdit;
    Label13: TLabel;
    Visibility: TLabel;
    edVisibilityCause: TEdit;
    memDesc: TMemo;
    memExtra: TMemo;
    grdCommands: TStringGrid;
    TabSheet1: TTabSheet;
    ckAutohide: TCheckBox;
    ckAutoPace: TCheckBox;
    ckAutoSize: TCheckBox;
    ckBalloonEnabled: TCheckBox;
    edBalloonStyle: TEdit;
    ckVisible: TCheckBox;
    ckAutoPopup: TCheckBox;
    ckSoundEffectsOn: TCheckBox;
    ckHasOtherClients: TCheckBox;
    ckIdleOn: TCheckBox;
    Bevel1: TBevel;
    Label14: TLabel;
    Label15: TLabel;
    edCommandCaption: TEdit;
    edDefaultCommand: TEdit;
    Label16: TLabel;
    Label17: TLabel;
    edCommandVoice: TEdit;
    Label18: TLabel;
    edCommandVoiceCaption: TEdit;
    Label19: TLabel;
    procedure ckAutoSizeClick(Sender: TObject);
    procedure ckAutohideClick(Sender: TObject);
    procedure ckAutoPaceClick(Sender: TObject);
    procedure ckBalloonEnabledClick(Sender: TObject);
    procedure ckVisibleClick(Sender: TObject);
    procedure ckSoundEffectsOnClick(Sender: TObject);
    procedure ckAutoPopupClick(Sender: TObject);
    procedure ckIdleOnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  PagesDlg: TPagesDlg;

implementation

uses PureAgent2008Unit;

const
   BalloonOn: longint = 1;
   SizeToText: longint = 2;
   AutoHide: longint = 4;
   AutoPace: longint = 8;

{$R *.DFM}


procedure TPagesDlg.ckAutoSizeClick(Sender: TObject);
begin
  If ckAutoSize.Checked = false Then
      frmAgentTest.ThisCharEx.Balloon.Style :=
       frmAgentTest.ThisCharEx.Balloon.Style And (Not SizeToText)
  Else
      frmAgentTest.ThisCharEx.Balloon.Style :=
       frmAgentTest.ThisCharEx.Balloon.Style Or SizeToText;
  edBalloonStyle.Text := inttostr(frmAgentTest.ThisCharEx.Balloon.Style);
end;

procedure TPagesDlg.ckAutohideClick(Sender: TObject);
begin
  If ckAutoHide.Checked = false Then
      frmAgentTest.ThisCharEx.Balloon.Style :=
       frmAgentTest.ThisCharEx.Balloon.Style And (Not AutoHide)
  Else
      frmAgentTest.ThisCharEx.Balloon.Style :=
       frmAgentTest.ThisCharEx.Balloon.Style Or AutoHide;
  edBalloonStyle.Text := inttostr(frmAgentTest.ThisCharEx.Balloon.Style);
end;

procedure TPagesDlg.ckAutoPaceClick(Sender: TObject);
begin
  If ckAutoPace.Checked = false Then
      frmAgentTest.ThisCharEx.Balloon.Style :=
       frmAgentTest.ThisCharEx.Balloon.Style And (Not AutoPace)
  Else
      frmAgentTest.ThisCharEx.Balloon.Style :=
       frmAgentTest.ThisCharEx.Balloon.Style Or AutoPace;
  edBalloonStyle.Text := inttostr(frmAgentTest.ThisCharEx.Balloon.Style);
end;

procedure TPagesDlg.ckBalloonEnabledClick(Sender: TObject);
begin
  If ckBalloonEnabled.checked = false Then begin
    frmAgentTest.ThisCharEx.Balloon.Style :=
      frmAgentTest.ThisCharEx.Balloon.Style And (Not BalloonOn);
    ckAutoHide.Enabled := False;
    ckAutoPace.Enabled := False;
    ckAutoSize.Enabled := False;
    end
  Else begin
    frmAgentTest.ThisCharEx.Balloon.Style :=
      frmAgentTest.ThisCharEx.Balloon.Style Or BalloonOn;
    ckAutoHide.Enabled := True;
    ckAutoPace.Enabled := True;
    ckAutoSize.Enabled := True;
    end;
  edBalloonStyle.Text := inttostr(frmAgentTest.ThisCharEx.Balloon.Style);
end;

procedure TPagesDlg.ckVisibleClick(Sender: TObject);
begin
  if ckVisible.Checked = false then
   frmAgentTest.ThisCharEx.Hide(frmAgentTest.ckfast.checked)
  else
   frmAgentTest.ThisCharEx.Show(frmAgentTest.ckfast.checked);
end;

procedure TPagesDlg.ckSoundEffectsOnClick(Sender: TObject);
begin
  frmAgentTest.ThisCharEx.Set_SoundEffectsOn(ckSoundEffectsOn.Checked);
end;

procedure TPagesDlg.ckAutoPopupClick(Sender: TObject);
begin
  frmAgentTest.ThisCharEx.Set_AutoPopupMenu(ckAutoPopUp.Checked);
end;

procedure TPagesDlg.ckIdleOnClick(Sender: TObject);
begin
  frmAgentTest.ThisCharEx.Set_IdleOn(ckAutoPopUp.Checked);
end;

end.

